<?php
include('.total.php');
if($num_formato_factura=='7')
{
    $total_paginas = ceil($total_items/10);
    $numero_pagina = 1; 
    $limit_inf = 0; 
    $limit_sup = 10;
}
else
{
    $total_paginas = 1;
    $numero_pagina = 1; 
}

While ($numero_pagina <= $total_paginas){
?>
<page backtop="1mm" backbottom="5mm" backleft="5mm" backright="5mm" style="font-size: 11pt; font-family: arial" >

<?php include('.encabezado.php'); ?>


<?php
//general
if($num_formato_factura=='4')
{
    include('.detalles5.php'); //FACTURA NORMAL
}
//general
if($num_formato_factura=='5')
{
    include('.detalles5.php'); //FACTURA NORMAL
}
// valor bruto y toctal con iva
if($num_formato_factura=='6')
{
    include('.detalles6.php'); //IMPUESTO INCLUIDO EN VALOR TOTAL
}
//media carta 10 items
if($num_formato_factura=='7')
{
    include('.detalles7.php'); //MEDIA CARTA 10 ITEMS
}
if($num_formato_factura=='8')
{
    include('.detalles8.php'); //CANTIDAD Y UNIDAD DE MEDIDA ALA IZQUIERDA
}

if($num_formato_factura=='9')
{
    include('.detalles5.php'); //IMPUESTO Y RETENCIONES DETALLADOS
}


if($num_formato_factura=='9')
{
    include('.pie9.php'); //IMPUESTO Y RETENCIONES DETALLADOS
}
else
{   

    $mostrar_pie = ($num_formato_factura != '7' || ($num_formato_factura == '7' && $numero_pagina == $total_paginas));
    if ($mostrar_pie)
    {
        $ver_subtotal   = 2;
        $ver_descuento  = $descuento_global;
        $ver_subtotal_2 = $subtotal_global - $descuento_global;
        $ver_iva        = $iva_global;
        $ver_retencion  = $total_retencion;
        $ver_total      = $sumador_total;
        $ver_obs        = $observaciones;
        $color_firma    = "#000000"; // Color negro para firmas
    } else {
        $ver_subtotal   = 0;
        $ver_descuento  = 0;
        $ver_subtotal_2 = 0;
        $ver_iva        = 0;
        $ver_retencion  = 0;
        $ver_total      = 0;
        $ver_obs        = ""; // Dejamos observaciones vacías en paginas anteriores
        $color_firma    = "#FFFFFF"; // Ocultamos firmas con color blanco (o puedes quitar el texto)
    }

    include('.pie.php'); //NORMAL
}

?>
  
<?php if($ven_tipo=='pos electronico' || $ven_tipo=='electronica') { ?>
    <div style="font-size:8px;text-align: center;padding: 2px">Cufe: <?php echo $cufe;?></div>
<?php  }  ?>
    <div style="font-size:8px; padding: 2px;text-align: center;">Impreso por | <?php echo $emp_nombre;?> - VICPOS - <?php echo $emp_url;?></div>
    <div style="font-size:8px; padding: 2px;text-align: center;">Pagina: <?php echo $numero_pagina;?> / <?php echo $total_paginas;?></div>
    <div style="width:100%; border-top:dashed 1px;margin-top:1mm;"></div>
</page> 
<?php
    if($num_formato_factura=='7')
    {
        $numero_pagina++; 
        $limit_inf += 10; 
        $limit_sup + 10; 
    }
    else
    {
        $numero_pagina++; 
    } 
}
?>